We had a chance to sit down with Jon Rubinstein after HP's webOS event today, and he confirmed some unfortunate news for us: older Palm devices like the original Pre, the Pre Plus, the Pixi, and the Pixi Plus won't receive that previously promised update to webOS 2.0. Jon was pretty candid with us, saying that Palm had "missed a product cycle" in the midst of its financial troubles and subsequent acquisition by HP last year, and that the older products simply don't have the horsepower to properly run webOS 2.0 and beyond. That said, it's clear that he wants to do right by customers -- he told us that HP would do "something special" for owners of older hardware when the Pre 3, the Veer, and the TouchPad hit the market. We'll see what that entails -- and whether or not anyone actually sticks it out on webOS 1.4.5 until the new gear ships sometime this summer.

P.S.- We have lots more from our talk with Jon coming up -- including some actually good news -- so keep an eye on this space.